Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

MapLocationTarget.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target;
10
14 class MapLocationTarget extends Target
15 {
21 public $latitude;
22
28 public $longitude;
29
35 public $typeIdentifier;
36
42 public $fieldIdentifier;
43
50 public function __construct(
51 $latitude,
52 $longitude,
53 $typeIdentifier,
54 $fieldIdentifier
55 ) {
56 $this->latitude = $latitude;
57 $this->longitude = $longitude;
58 $this->typeIdentifier = $typeIdentifier;
59 $this->fieldIdentifier = $fieldIdentifier;
60 }
61 }
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget
Struct that stores extra value information for a MapLocationDistance SortClause object.
Definition: MapLocationTarget.php:15
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget\$typeIdentifier
$typeIdentifier
Definition: MapLocationTarget.php:35
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget\$latitude
$latitude
Definition: MapLocationTarget.php:21
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget\__construct
__construct( $latitude, $longitude, $typeIdentifier, $fieldIdentifier)
Definition: MapLocationTarget.php:50
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget\$longitude
$longitude
Definition: MapLocationTarget.php:28
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target\MapLocationTarget\$fieldIdentifier
$fieldIdentifier
Definition: MapLocationTarget.php:42
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target
Struct that stores extra target informations for a SortClause object.
Definition: API/Repository/Values/Content/Query/SortClause/Target.php:13
eZ\Publish\API\Repository\Values\Content\Query\SortClause\Target
Definition: FieldTarget.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.